import request from "@/utils/request";

// 获取顶部左侧数据（运营看板）
export function getAstsTransTotals(data) {
  return request({
    url: "/tairui-transettle/astsInfo/getAstsTransTotals",
    method: "post",
    data: data,
  });
}
//获取顶部右侧数据（线形图）
export function getEchartsData(data) {
  return request({
    url: "/tairui-transettle/astsInfo/getSalesChartData",
    method: "post",
    data: data,
  });
}
//获取中间数据（统计数据）
export function getMidleInfo(data) {
  return request({
    url: "/tairui-transettle/astsInfo/getLeftMidQueryInfo",
    method: "post",
    data: data,
  });
}
// 获取厎部左侧数据（产品销量）
export function getGoodsSalesInfo(data) {
  return request({
    url: "/tairui-transettle/astsInfo/getGoodsSalesInfo",
    method: "post",
    data: data,
  });
}

// 获取厎部右侧数据(售后概况)
export function getAfterSalesData(data) {
  return request({
    url: "/tairui-transettle/astsInfo/getAfterSalesData",
    method: "post",
    data: data,
  });
}